Visit Our UNIX and Linux User Community


Trying to install glibc-common 686 on a x64 system


 
Thread Tools Search this Thread
Operating Systems Linux Red Hat Trying to install glibc-common 686 on a x64 system
# 1  
Old 12-06-2014
Trying to install glibc-common 686 on a x64 system

Hi,

I hoping someone can help me. I am running a 64 bit RH 6.5 Server, and have to install glibc.686 for a Symantec package I need to install. A prerequisite for glibc.686 is glibc-common. I'm trying to install this manually, as it's not on our local repository, but when I try, I get the following error:

Code:
[root@opsserver OpsCenter_7.6.0.1_Unix]# yum install ./glibc-common-2.12-1.7.el6.i686.rpm
Setting up Install Process
Examining ./glibc-common-2.12-1.7.el6.i686.rpm: glibc-common-2.12-1.7.el6.i686
./glibc-common-2.12-1.7.el6.i686.rpm: does not update installed package.
Error: Nothing to do

Is what i'm trying even possible? Is it possible to have both sets of glibc-common (686 & x64) libraries installed? And if so, how do I go about installing it? Many thanks!
# 2  
Old 12-08-2014
I managed to resolve this by pointing the server directly to the external RH repository.

When trying to install glibc.i686 from our internal repo's, it'd ask for glibc-common x86, for some reason this wasnt required when using the external repo.

Previous Thread | Next Thread
Test Your Knowledge in Computers #630
Difficulty: Medium
According to Lifewire, as of November 1, 2018, a total of more than 3.2 billion iPhones had been sold.
True or False?

5 More Discussions You Might Find Interesting

1. UNIX and Linux Applications

Install glibc-debug for glibc-2.11.3-17.31.1 on SLES 11

I have to debug a function getopt_long in glibc-2.11.3-17.31.1. For that how can I download and install its corresponding glibc-debug on SLES 11? (8 Replies)
Discussion started by: rupeshkp728
8 Replies

2. UNIX for Advanced & Expert Users

got error when install glibc

hi all, i am play LFS recently. but i can not go on for a an error when install glibc. here is the error log: if test -r /usr/include/gnu/stubs-32.h && cmp -s /mnt/lfs/sources/glibc-build/stubs.h /usr/include/gnu/stubs-32.h; \ then echo 'stubs.h unchanged'; \ else /usr/bin/install -c... (1 Reply)
Discussion started by: arnold.king
1 Replies

3. Ubuntu

Failed to install Common Array Manager in Ubuntu

Dear All, I have a problem installing SUN CAM on my laptop running Ubuntu 9.04 The error message is : Failed when detecting Sun StorageTek(TM) Common Array Manager Core Components : Could not convert Pkg version : For input string: "" Any idea why? Best regards (0 Replies)
Discussion started by: frankoko
0 Replies

4. UNIX for Advanced & Expert Users

install glibc-2.6.1

Hi, I have downloaded glibc-2.6.1.tar.tar. But I do not know how to install it on Xubuntu. Do you know ? Thank you. (4 Replies)
Discussion started by: big123456
4 Replies

5. UNIX for Advanced & Expert Users

Install Linux on P4 system

There was a thread previously stating a command to type at the beginning of the installation. #echo 'arch_compat: i?86: i386'>./rpmst or something like that. Then needed to add the line to the "rpmst" file when the installation was done. Everything worked fine for the install. But you... (1 Reply)
Discussion started by: Urlryn
1 Replies

Featured Tech Videos